import { StreamableFile } from '@nestjs/common';
import { AuthDto } from 'src/dtos/auth.dto';
import { DownloadArchiveDto, DownloadInfoDto, DownloadResponseDto } from 'src/dtos/download.dto';
import { DownloadService } from 'src/services/download.service';
export declare class DownloadController {
    private service;
    constructor(service: DownloadService);
    getDownloadInfo(auth: AuthDto, dto: DownloadInfoDto): Promise<DownloadResponseDto>;
    downloadArchive(auth: AuthDto, dto: DownloadArchiveDto): Promise<StreamableFile>;
}
